import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { DiffEditorModel } from 'ngx-monaco-editor-v2';
import * as monacoEditor from 'monaco-editor';

@Component({
  selector: 'app-editor',
  templateUrl: './editor.component.html',
  styleUrls: ['./editor.component.css']
})
export class EditorComponent implements OnInit{
  loadingProgress: number = 0; // Pour suivre la progression du chargement
  isLoaded: boolean = false; // Pour vérifier si le chargement est terminé

  constructor(private router: Router){}

  ngOnInit(): void {
    
  }

  // Si click sur "Run", on redirige vers la page d'output
  onRunButtonClicked() {
    this.loadingProgress = 0;
    this.isLoaded = false;

    // Simuler le chargement pendant 5 secondes
    const interval = setInterval(() => {
      this.loadingProgress++;
      if (this.loadingProgress >= 100) {
        clearInterval(interval); // Arrêtez la simulation de chargement
        this.isLoaded = true;
        // Redirigez vers une autre page (par exemple, 'output')
        this.router.navigate(['/output']);
      }
    }, 50); // Augmenter la valeur pour ralentir la progression du chargement si nécessaire
  }

  editorOptions = {theme: 'vs-dark', language: 'javascript'};
  code: string= 'function x() {\nconsole.log("Hello world!");\n}';

  options = {
    theme: 'vs-dark'
  };
  originalModel: DiffEditorModel = {
    code: 'heLLo world!',
    language: 'text/plain'
  };

  modifiedModel: DiffEditorModel = {
    code: 'hello orlando!',
    language: 'text/plain'
  };

  onInit(editor: monacoEditor.editor.IStandaloneCodeEditor) {
    let line = editor.getPosition();
    console.log(line);
  }

}
